Search

Search current source posts, channels, media and accessible projects

GET
/api/search

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Query Parameters

q*string
Length2 <= length <= 200
projectId?string
Length1 <= length

Response Body

Response for status 200

application/json
  1. response
results*array<>
Example Request
curl -X GET 'https://postbot.example/api/search?q=string'
Example Response
{
  "results": [
    {
      "kind": "post",
      "id": "string",
      "projectId": "string",
      "projectName": "string",
      "title": "string",
      "description": "string",
      "contentType": "string"
    }
  ]
}

Was this page helpful?